Sign inGet started

Create a brand vetting

A successful request to this endpoint will mean you are charged a brand vetting fee.
POST
/organizations/{organizationId}/tcr-brands/{brandId}/vettings
Create brand vetting in organization. Brand vetting should be requested when the brand is not getting approved, or if the customer needs a higher throughput.
Anfrage-Payload
class
string
erforderlich
Identifies the vetting classification.
Possible values: STANDARD
vettingProviderId
string
External vetting provider ID for the brand.
Antwort-Payload
id
string
erforderlich
Unique ID that identifies a vetting transaction performed by a vetting provider.
brandId
string
erforderlich
createdAt
string
erforderlich
Vetting submission date (UTC). This is the date when the vetting request is generated
updatedAt
string
Timestamp (UTC) when the brand vetting was last updated.
status
string
erforderlich
Identifies the vetting request status.
Possible values: PENDING, REJECTED, FAILED, APPROVED, EXPIRED
vettingProviderId
string
erforderlich
External vetting provider ID for the Brand vetting.
token
string
score
string
erforderlich
Brand vetting score (0-100). Higher is better.
class
string
erforderlich
Identifies the vetting classification.
Possible values: STANDARD
reasons
array of string
A list of reasons for FAILED vetting.
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/tcr-brands/{brandId}/vettings' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

VettingRequest object

FieldTypeDescriptionMandatory
vettingClassvettingClassVetting ClassRequired
vettingProviderIdvettingProviderIdVetting ProviderRequired

VettingResponse object

FieldTypeDescription
idstringVetting ID
brandIdstringID of the brand that relates to this vetting
classvettingClassIdentifies the vetting classification
statusvettingStatusIdentifies the vetting request status
vettingProviderIdvettingProviderIdId of the provider used for vetting
scorestringBrand vetting score (0-100). Higher is better
tokenstring
reasonsarray<string>A list of reasons for FAILED vetting
updatedAtstringTimestamp (UTC) when the brand vetting was last updated.
createdAtstringTimestamp (UTC) when the brand vetting was created